﻿//-----------------------------------------------------------------------
// <copyright file="Argument.cs" company="tuliprules.org">
//     Copyright (c) 2010 tuplelister, tuliprules.org.
// </copyright>
// <summary>This is the Argument class.</summary>
//-----------------------------------------------------------------------

namespace Tulip.Engine.Models.ClosedWorld
{
    using System.Windows.Markup;

    /// <summary>
    /// Represents an argument to an expression.
    /// </summary>
    [ContentProperty("Expression")]
    public class Argument : ElementBase
    {
        /// <summary>
        /// Gets or sets the expression for the argument.
        /// </summary>
        public Expression Expression { get; set; }

        /// <summary>
        /// Gets or sets the position fo the argument in the expression's parameter list.
        /// </summary>
        public int Position { get; set; }
    }
}
