﻿//-----------------------------------------------------------------------
// <copyright file="ClassFrameEnums.cs.cs" company="tuliprules.org">
//     Copyright (c) 2011 tuplelister, tuliprules.org.
// </copyright>
// <summary>This is the Class enumerations.</summary>
//-----------------------------------------------------------------------

namespace Tulip.Engine.Models.ClosedWorld
{
    /// <summary>
    /// Metaclass roles
    /// </summary>
    /// <remarks>
    /// A class frame can be marked as either playing either an abstract or a 
    /// concrete role.  Abstract class frames cannot be instantiated (i.e., 
    /// you cannot create an instance frame over an abstract class frame).
    /// </remarks>
    public enum ClassFrameRole
    {
        /// <summary>
        /// An abstract class frame.
        /// </summary>
        Abstract,

        /// <summary>
        /// A concrete class frame.
        /// </summary>
        Concrete
    }
}

