﻿//-----------------------------------------------------------------------
// <copyright file="Field.cs" company="tuliprules.org">
//     Copyright (c) 2010 tuplelister, tuliprules.org.
// </copyright>
// <summary>This is the Field class.</summary>
//-----------------------------------------------------------------------

namespace Tulip.Engine.Models.ClosedWorld
{
    /// <summary>
    /// Represents a field of an index.
    /// </summary>
    public class Field : ElementBase
    {
        /// <summary>
        /// Gets or sets the position of the field in the index.
        /// </summary>
        public int Index { get; set; }

        /// <summary>
        /// Gets or sets the entity being indexed.
        /// </summary>
        public string Frame { get; set; }

        /// <summary>
        /// Gets or sets the tuple slot for the entity being indexed.
        /// </summary>
        public string SlotRef { get; set; }
    }
}
