﻿//-----------------------------------------------------------------------
// <copyright file="Strategy.cs" company="tuliprules.org">
//     Copyright (c) 2010 tuplelister, tuliprules.org.
// </copyright>
// <summary>This is the Strategy class.</summary>
//-----------------------------------------------------------------------

namespace Tulip.Engine.Models.ClosedWorld
{
    /// <summary>
    /// Represents a conflict resolution strategy (a .NET class of type 
    /// Tulip.EngineConflictResolution.ConflictResolutionStrategy).
    /// </summary>
    public class Strategy : ElementBase
    {
        /// <summary>
        /// Gets or sets the name of the assembly that packages the conflict resolution strategy.
        /// </summary>
        public string AssemblyRef { get; set; }

        /// <summary>
        /// Gets or sets the name of the conflict resolution strategy class.
        /// </summary>
        public string ClassName { get; set; }
    }
}
