﻿//-----------------------------------------------------------------------
// <copyright file="EntityTupleNotRegisteredException.cs" company="tuliprules.org">
//     Copyright (c) 2010 tuplelister, tuliprules.org.
// </copyright>
// <summary>This is the EntityTupleNotRegisteredException class.</summary>
//-----------------------------------------------------------------------

namespace Tulip.Engine.Tuples.Exceptions
{
    using System;
    using System.Runtime.Serialization;

    /// <summary>
    /// Represents 'entity tuple not registered' exceptions.
    /// </summary>
    [Serializable]
    public class EntityTupleNotRegisteredException : TupleException
    {
        /// <summary>
        /// Initializes a new instance of the EntityTupleNotRegisteredException class.
        /// </summary>
        public EntityTupleNotRegisteredException()
        {
        }

        /// <summary>
        /// Initializes a new instance of the EntityTupleNotRegisteredException class.
        /// </summary>
        /// <param name="message">The exception message.</param>
        public EntityTupleNotRegisteredException(string message)
            : base(message)
        {
        }

        /// <summary>
        /// Initializes a new instance of the EntityTupleNotRegisteredException class.
        /// </summary>
        /// <param name="message">The exception message.</param>
        /// <param name="innerException">A wrapped inner exception.</param>
        public EntityTupleNotRegisteredException(string message, Exception innerException)
            : base(message, innerException)
        {
        }

        /// <summary>
        /// Initializes a new instance of the EntityTupleNotRegisteredException class.
        /// </summary>
        /// <param name="info">Serialization information.</param>
        /// <param name="context">Streaming context.</param>
        protected EntityTupleNotRegisteredException(SerializationInfo info, StreamingContext context)
            : base(info, context)
        {
        }
    }
}
