﻿//-----------------------------------------------------------------------
// <copyright file="TupleException.cs" company="tuliprules.org">
//     Copyright (c) 2010 tuplelister, tuliprules.org.
// </copyright>
// <summary>This is the TupleException class.</summary>
//-----------------------------------------------------------------------

namespace Tulip.Engine.Tuples.Exceptions
{
    using System;
    using System.Runtime.Serialization;

    /// <summary>
    /// Represents base exceptions for types in the Tulip.Tuples namespace.
    /// </summary>
    [Serializable]
    public class TupleException : Exception
    {
        /// <summary>
        /// Initializes a new instance of the TupleException class.
        /// </summary>
        public TupleException()
        {
        }

        /// <summary>
        /// Initializes a new instance of the TupleException class.
        /// </summary>
        /// <param name="message">The exception message.</param>
        public TupleException(string message)
            : base(message)
        {
        }

        /// <summary>
        /// Initializes a new instance of the TupleException class.
        /// </summary>
        /// <param name="message">The exception message.</param>
        /// <param name="innerException">A wrapped inner exception.</param>
        public TupleException(string message, Exception innerException)
            : base(message, innerException)
        {
        }

        /// <summary>
        /// Initializes a new instance of the TupleException class.
        /// </summary>
        /// <param name="info">Serialization information.</param>
        /// <param name="context">Streaming context.</param>
        protected TupleException(SerializationInfo info, StreamingContext context)
            : base(info, context)
        {
        }
    }
}
