﻿//-----------------------------------------------------------------------
// <copyright file="TupleListSingleModeException.cs" company="tuliprules.org">
//     Copyright (c) 2010 tuplelister, tuliprules.org.
// </copyright>
// <summary>This is the TupleListSingleModeException class.</summary>
//-----------------------------------------------------------------------

namespace Tulip.Engine.Tuples.Exceptions
{
    using System;
    using System.Runtime.Serialization;

    /// <summary>
    /// Represents 'tuple view groups' exceptions.
    /// </summary>
    [Serializable]
    public class TupleListSingleModeException : TupleException
    {
        /// <summary>
        /// Initializes a new instance of the TupleListSingleModeException class.
        /// </summary>
        public TupleListSingleModeException()
        {
        }

        /// <summary>
        /// Initializes a new instance of the TupleListSingleModeException class.
        /// </summary>
        /// <param name="message">The exception message.</param>
        public TupleListSingleModeException(string message)
            : base(message)
        {
        }

        /// <summary>
        /// Initializes a new instance of the TupleListSingleModeException class.
        /// </summary>
        /// <param name="message">The exception message.</param>
        /// <param name="innerException">A wrapped inner exception.</param>
        public TupleListSingleModeException(string message, Exception innerException)
            : base(message, innerException)
        {
        }

        /// <summary>
        /// Initializes a new instance of the TupleListSingleModeException class.
        /// </summary>
        /// <param name="info">Serialization information.</param>
        /// <param name="context">Streaming context.</param>
        protected TupleListSingleModeException(SerializationInfo info, StreamingContext context)
            : base(info, context)
        {
        }
    }
}

