﻿//-----------------------------------------------------------------------
// <copyright file="TupleStoreSessionException.cs" company="tuliprules.org">
//     Copyright (c) 2010 tuplelister, tuliprules.org.
// </copyright>
// <summary>This is the TupleStoreSessionException class.</summary>
//-----------------------------------------------------------------------

namespace Tulip.Engine.Tuples.Exceptions
{
    using System;
    using System.Runtime.Serialization;

    /// <summary>
    /// Represents 'tupleStore session' exceptions.
    /// </summary>
    [Serializable]
    public class TupleStoreSessionException : TupleException
    {
        /// <summary>
        /// Initializes a new instance of the TupleStoreSessionException class.
        /// </summary>
        public TupleStoreSessionException()
        {
        }

        /// <summary>
        /// Initializes a new instance of the TupleStoreSessionException class.
        /// </summary>
        /// <param name="message">The exception message.</param>
        public TupleStoreSessionException(string message)
            : base(message)
        {
        }

        /// <summary>
        /// Initializes a new instance of the TupleStoreSessionException class.
        /// </summary>
        /// <param name="message">The exception message.</param>
        /// <param name="innerException">A wrapped inner exception.</param>
        public TupleStoreSessionException(string message, Exception innerException)
            : base(message, innerException)
        {
        }

        /// <summary>
        /// Initializes a new instance of the TupleStoreSessionException class.
        /// </summary>
        /// <param name="info">Serialization information.</param>
        /// <param name="context">Streaming context.</param>
        protected TupleStoreSessionException(SerializationInfo info, StreamingContext context)
            : base(info, context)
        {
        }
    }
}
