﻿//-----------------------------------------------------------------------
// <copyright file="TupleUninitializedException.cs" company="tuliprules.org">
//     Copyright (c) 2010 tuplelister, tuliprules.org.
// </copyright>
// <summary>This is the TupleUninitializedException class.</summary>
//-----------------------------------------------------------------------

namespace Tulip.Engine.Tuples.Exceptions
{
    using System;
    using System.Runtime.Serialization;

    /// <summary>
    /// Represents 'uninitialised  tuple' exceptions.
    /// </summary>
    [Serializable]
    public class TupleUninitializedException : TupleException
    {
        /// <summary>
        /// Initializes a new instance of the TupleUninitializedException class.
        /// </summary>
        public TupleUninitializedException()
        {
        }

        /// <summary>
        /// Initializes a new instance of the TupleUninitializedException class.
        /// </summary>
        /// <param name="message">The exception message.</param>
        public TupleUninitializedException(string message)
            : base(message)
        {
        }

        /// <summary>
        /// Initializes a new instance of the TupleUninitializedException class.
        /// </summary>
        /// <param name="message">The exception message.</param>
        /// <param name="innerException">A wrapped inner exception.</param>
        public TupleUninitializedException(string message, Exception innerException)
            : base(message, innerException)
        {
        }

        /// <summary>
        /// Initializes a new instance of the TupleUninitializedException class.
        /// </summary>
        /// <param name="info">Serialization information.</param>
        /// <param name="context">Streaming context.</param>
        protected TupleUninitializedException(SerializationInfo info, StreamingContext context)
            : base(info, context)
        {
        }
    }
}
