﻿//-----------------------------------------------------------------------
// <copyright file="MemberTupleType.cs" company="tuliprules.org">
//     Copyright (c) 2010 tuplelister, tuliprules.org.
// </copyright>
// <summary>This is the MemberTupleType enumeration.</summary>
//-----------------------------------------------------------------------

namespace Tulip.Engine.Tuples
{
    /// <summary>
    /// Enumeration for member types.
    /// </summary>
    public enum MemberTupleType
    {
        /// <summary>
        /// A field tuple member type.
        /// </summary>
        Field,

        /// <summary>
        /// A property tuple member type.
        /// </summary>
        Property,

        /// <summary>
        /// A property get tuple member type.
        /// </summary>
        PropertyGet,

        /// <summary>
        /// A property set tuple member type.
        /// </summary>
        PropertySet,

        /// <summary>
        /// A method tuple member type.
        /// </summary>
        Method
    }
}
