//-----------------------------------------------------------------------
// <copyright file="Count.cs" company="tuliprules.org">
//     Copyright (c) 2012 tuplelister, tuliprules.org.
// </copyright>
// <summary>This is the Count class.</summary>
//-----------------------------------------------------------------------

namespace Tulip.Rules.Benchmark.Manners.Types
{
    /// <summary>
    /// Miss Mannners - Count class
    /// </summary>
    /// <remarks>
    /// This class maintains a count fo the current number of 
    /// seated guests.
    /// </remarks>
    public class Count
    {
        /// <summary>
        /// Count of seated guests.
        /// </summary>
        private static int c;

        /// <summary>
        /// Gets or sets the count of seated guests.
        /// </summary>
        public static int C
        {
            get
            {
                return c;
            }

            set
            {
                c = value;
            }
        }

        /// <summary>
        /// Returns a text representation of the Count object.
        /// </summary>
        /// <returns>
        /// A text representation of the Count object.
        /// </returns>
        public override string ToString()
        {
            return string.Format("(count (c {0}))", c);
        }

    }
}
