//-----------------------------------------------------------------------
// <copyright file="LastSeat.cs" company="tuliprules.org">
//     Copyright (c) 2010 tuplelister, tuliprules.org.
// </copyright>
// <summary>This is the LastSeat class.</summary>
//-----------------------------------------------------------------------

namespace Tulip.Benchmarks.Manners.Model
{
    /// <summary>
    /// Miss Mannners - LastSeat class
    /// </summary>
    public class LastSeat
    {
        /// <summary>
        /// Number of last seat.
        /// </summary>
        private static int seat;

        /// <summary>
        /// Gets or sets the number of last seat.
        /// </summary>
        public static int Seat
        {
            get
            {
                return seat;
            }

            set
            {
                seat = value;
            }
        }

        /// <summary>
        /// Returns a text representation of the LastSeat object.
        /// </summary>
        /// <returns>
        /// A text representation of the LastSeat object.
        /// </returns>
        public override string ToString()
        {
            return string.Format("(last_seat (seat {0}))", seat);
        }
    }
}
