﻿//-----------------------------------------------------------------------
// <copyright file="FieldDef.cs" company="tuliprules.org">
//     Copyright (c) 2010 tuplelister, tuliprules.org.
// </copyright>
// <summary>This is the FieldDef class.</summary>
//-----------------------------------------------------------------------

namespace Tulip.Rules.CodeGen.Models.ClosedWorld
{
    using System.Diagnostics.CodeAnalysis;

    /// <summary>
    /// Field definition.
    /// </summary>
    [SuppressMessage("StyleCop.CSharp.MaintainabilityRules", "SA1401:FieldsMustBePrivate",
        Justification = "Reviewed. Suppression is OK here.")]
    public class FieldDef
    {
        /// <summary>
        /// The field index.
        /// </summary>
        public int Index;

        /// <summary>
        /// The enetity reference for the field.
        /// </summary>
        public string Frame;

        /// <summary>
        /// The slot reference of the field.
        /// </summary>
        public string SlotRef;
    }
}
