﻿//-----------------------------------------------------------------------
// <copyright file="IndexDef.cs" company="tuliprules.org">
//     Copyright (c) 2010 tuplelister, tuliprules.org.
// </copyright>
// <summary>This is the IndexDef class.</summary>
//-----------------------------------------------------------------------

namespace Tulip.Rules.CodeGen.Models.ClosedWorld
{
    using System.Collections.Generic;
    using System.Diagnostics.CodeAnalysis;

    /// <summary>
    /// Index definition.
    /// </summary>
    [SuppressMessage("StyleCop.CSharp.MaintainabilityRules", "SA1401:FieldsMustBePrivate",
    Justification = "Reviewed. Suppression is OK here.")]
    public class IndexDef
    {
        /// <summary>
        /// The ID of the index.
        /// </summary>
        public int Id;

        /// <summary>
        /// The name of the index.
        /// </summary>
        public string Name;

        /// <summary>
        /// Collection of fields that define the index.
        /// </summary>
        public IEnumerable<FieldDef> Fields;
    }
}
