﻿//-----------------------------------------------------------------------
// <copyright file="IActivation.cs" company="tuliprules.org">
//     Copyright (c) 2010 tuplelister, tuliprules.org.
// </copyright>
// <summary>This is the IActivation interface.</summary>
//-----------------------------------------------------------------------

namespace Tulip.Rules
{
    /// <summary>
    /// Represents a rule activation on the agenda.
    /// </summary>
    public interface IActivation
    {
        /// <summary>
        /// Gets or sets the name of the activated rule.
        /// </summary>
        string RuleName
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the version of the activated rule.
        /// </summary>
        System.Version RuleVersion
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the priority of the activated rule.
        /// </summary>
        int Priority
        {
            get;
            set;
        }
    }
}
