﻿//-----------------------------------------------------------------------
// <copyright file="IAgenda.cs" company="tuliprules.org">
//     Copyright (c) 2010 tuplelister, tuliprules.org.
// </copyright>
// <summary>This is the IAgenda interface.</summary>
//-----------------------------------------------------------------------

namespace Tulip.Rules
{
    /// <summary>
    /// Represents the agenda of a production system.
    /// </summary>
    /// <remarks>An agenda is an ordered set of rule activations that represents the conflict set.  The ordering represents the outcome of conflict resolution.</remarks>
    public interface IAgenda
    {
        /// <summary>
        /// Clear the agenda of all current activations.
        /// </summary>
        void Clear();
    }
}
