﻿//-----------------------------------------------------------------------
// <copyright file="Andthentype.cs" company="tuliprules.org">
//     Copyright (c) 2011 tuplelister, tuliprules.org.
// </copyright>
// <summary>This is the Andthentype class.</summary>
//-----------------------------------------------------------------------
namespace Tulip.Rules.Models.Rif.Core
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Xml.Serialization;

    /// <summary>
    /// Represents the And-then type.
    /// </summary>
    [Serializable]
    [DesignerCategory(@"code")]
    [XmlType(TypeName = "And-then.type", Namespace = "http://www.w3.org/2007/rif#")]
    [XmlRoot("And-then.type", Namespace = "http://www.w3.org/2007/rif#", IsNullable = true)]
    public class Andthentype : IRifCoreElement
    {
        /// <summary>
        /// The formula field.
        /// </summary>
        [EditorBrowsable(EditorBrowsableState.Never)]
        private List<FormulaThenType> formulaField;

        /// <summary>
        /// Initializes a new instance of the <see cref="Andthentype"/> class. 
        /// </summary>
        public Andthentype()
        {
            this.formulaField = new List<FormulaThenType>();
        }

        /// <summary>
        /// Gets or sets a list of formula roles, each containing a FORMULA.
        /// </summary>
        [XmlElement("formula", Order = 0)]
        public List<FormulaThenType> Formulae
        {
            get
            {
                return this.formulaField;
            }

            set
            {
                this.formulaField = value;
            }
        }
    }
}