﻿//-----------------------------------------------------------------------
// <copyright file="ContentTermType.cs" company="tuliprules.org">
//     Copyright (c) 2011 tuplelister, tuliprules.org.
// </copyright>
// <summary>This is the ContentTermType class.</summary>
//-----------------------------------------------------------------------
namespace Tulip.Rules.Models.Rif.Core
{
    using System;
    using System.ComponentModel;
    using System.Xml.Serialization;

    /// <summary>
    /// Represents the content-TERM type.
    /// </summary>
    [Serializable]
    [DesignerCategory(@"code")]
    [XmlType(TypeName = "content-TERM.type", Namespace = "http://www.w3.org/2007/rif#")]
    public class ContentTermType : IRifCoreElement
{
        /// <summary>
        /// The expression field
        /// </summary>
        [EditorBrowsable(EditorBrowsableState.Never)]
        private Expr exprField;
               
        /// <summary>
        /// Gets or sets the expression formula, positional or with named arguments.
        /// </summary>
        [XmlElement(Order = 0)]
        public Expr Expr
        {
            get
            {
                return this.exprField;
            }

            set
            {
                this.exprField = value;
            }
        }
    }
}