﻿//-----------------------------------------------------------------------
// <copyright file="ExternalTermType.cs" company="tuliprules.org">
//     Copyright (c) 2011 tuplelister, tuliprules.org.
// </copyright>
// <summary>This is the ExternalTermType class.</summary>
//-----------------------------------------------------------------------
namespace Tulip.Rules.Models.Rif.Core
{
    using System;
    using System.ComponentModel;
    using System.Xml.Serialization;

    /// <summary>
    /// Represents the External-TERM type.
    /// </summary>
    [Serializable]
    [DesignerCategory(@"code")]
    [XmlType(TypeName = "External-TERM.type", Namespace = "http://www.w3.org/2007/rif#")]
    public class ExternalTermType : Irimeta, IRifCoreElement
    {
        /// <summary>
        /// The content field.
        /// </summary>
        [EditorBrowsable(EditorBrowsableState.Never)]
        private ContentTermType contentField;
        
        /// <summary>
        /// Gets or sets a content role, containing an Atom, for predicates,
        /// or Expr, for functions.
        /// </summary>
        [XmlElement("content", Order = 0)]
        public ContentTermType Content
        {
            get
            {
                return this.contentField;
            }

            set
            {
                this.contentField = value;
            }
        }
    }
}