﻿//-----------------------------------------------------------------------
// <copyright file="Group.cs" company="tuliprules.org">
//     Copyright (c) 2011 tuplelister, tuliprules.org.
// </copyright>
// <summary>This is the Group class.</summary>
//-----------------------------------------------------------------------
namespace Tulip.Rules.Models.Rif.Core
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Xml.Serialization;

    /// <summary>
    /// Represents a nested collection of sentences.
    /// </summary>
    [Serializable]
    [DesignerCategory(@"code")]
    [XmlType(AnonymousType = true, Namespace = "http://www.w3.org/2007/rif#")]
    [XmlRoot(Namespace = "http://www.w3.org/2007/rif#", IsNullable = false)]
    public class Group : Irimeta, IRifCoreElement
    {
        /// <summary>
        /// The sentence field.
        /// </summary>
        [EditorBrowsable(EditorBrowsableState.Never)]
        private List<Sentence> sentenceField;

        /// <summary>
        /// Initializes a new instance of the <see cref="Group"/> class. 
        /// </summary>
        public Group()
        {
            this.sentenceField = new List<Sentence>();
        }

        /// <summary>
        /// Gets or sets a list of sentence roles, each containing a RULE 
        /// or Group.
        /// </summary>
        [XmlElement("sentence", Order = 0)]
        public List<Sentence> Sentences
        {
            get
            {
                return this.sentenceField;
            }

            set
            {
                this.sentenceField = value;
            }
        }
    }
}
