﻿//-----------------------------------------------------------------------
// <copyright file="List.cs" company="tuliprules.org">
//     Copyright (c) 2011 tuplelister, tuliprules.org.
// </copyright>
// <summary>This is the List class.</summary>
//-----------------------------------------------------------------------
namespace Tulip.Rules.Models.Rif.Core
{
    using System;
    using System.ComponentModel;
    using System.Xml.Serialization;

    /// <summary>
    /// Represents a list term, closed or open.
    /// </summary>
    [Serializable]
    [DesignerCategory(@"code")]
    [XmlType(AnonymousType = true, Namespace = "http://www.w3.org/2007/rif#")]
    [XmlRoot(Namespace = "http://www.w3.org/2007/rif#", IsNullable = false)]
    public class List : Irimeta, IRifCoreElement
    {
        /// <summary>
        /// The items field.
        /// </summary>
        [EditorBrowsable(EditorBrowsableState.Never)]
        private Items itemsField;

        /// <summary>
        /// Gets or sets a list items role, with ordered="yes" attribute, containing n TERMs.
        /// </summary>
        [XmlElement("items", Order = 0)]
        public Items Items
        {
            get
            {
                return this.itemsField;
            }

            set
            {
                this.itemsField = value;
            }
        }
    }
}
