﻿//-----------------------------------------------------------------------
// <copyright file="Or.cs" company="tuliprules.org">
//     Copyright (c) 2011 tuplelister, tuliprules.org.
// </copyright>
// <summary>This is the Or class.</summary>
//-----------------------------------------------------------------------
namespace Tulip.Rules.Models.Rif.Core
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Xml.Serialization;

    /// <summary>
    /// Represents a disjunction.
    /// </summary>
    [Serializable]
    [DesignerCategory(@"code")]
    [XmlType(AnonymousType = true, Namespace = "http://www.w3.org/2007/rif#")]
    [XmlRoot(Namespace = "http://www.w3.org/2007/rif#", IsNullable = false)]
    public class Or : Irimeta, IRifCoreElement
    {
        /// <summary>
        /// The folmual field.
        /// </summary>
        [EditorBrowsable(EditorBrowsableState.Never)]
        private List<Formula> formulaField;

        /// <summary>
        /// Initializes a new instance of the Or class.
        /// </summary>
        public Or()
        {
            this.formulaField = new List<Formula>();
        }

        /// <summary>
        /// Gets or sets a list of formula roles, each containing a FORMULA.
        /// </summary>
        [XmlElement("formula", Order = 0)]
        public List<Formula> Formulae
        {
            get
            {
                return this.formulaField;
            }

            set
            {
                this.formulaField = value;
            }
        }
    }
}
