﻿//-----------------------------------------------------------------------
// <copyright file="Id.cs" company="tuliprules.org">
//     Copyright (c) 2011 tuplelister, tuliprules.org.
// </copyright>
// <summary>This is the Id class.</summary>
//-----------------------------------------------------------------------
namespace Tulip.Rules.Models.Rif.Core
{
    using System;
    using System.ComponentModel;
    using System.Xml.Serialization;

    /// <summary>
    /// Represents an identifier role, containing IRICONST.
    /// </summary>
    [Serializable]
    [DesignerCategory(@"code")]
    [XmlType(AnonymousType = true, Namespace = "http://www.w3.org/2007/rif#")]
    [XmlRoot(Namespace = "http://www.w3.org/2007/rif#", IsNullable = false)]
    public class Id : IRifCoreElement
    {
        /// <summary>
        /// The const field.
        /// </summary>
        [EditorBrowsable(EditorBrowsableState.Never)]
        private IriConstType constField;

        /// <summary>
        /// Gets or sets an individual, function, or predicate symbol, with 'type' 
        /// attribute.
        /// </summary>
        [XmlElement(Order = 0)]
        public IriConstType Const
        {
            get
            {
                return this.constField;
            }

            set
            {
                this.constField = value;
            }
        }
    }
}
