﻿//-----------------------------------------------------------------------
// <copyright file="Andmetatype.cs" company="tuliprules.org">
//     Copyright (c) 2011 tuplelister, tuliprules.org.
// </copyright>
// <summary>This is the Andmetatype class.</summary>
//-----------------------------------------------------------------------
namespace Tulip.Rules.Models.Rif.Prd
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Xml.Serialization;

    /// <summary>
    /// Represents the And-meta type.
    /// </summary>
    [Serializable]
    [DesignerCategory(@"code")]
    [XmlType(TypeName = "And-meta.type", Namespace = "http://www.w3.org/2007/rif#")]
    public class Andmetatype : IRifPrdElement
    {
        /// <summary>
        /// The formula field.
        /// </summary>
        [EditorBrowsable(EditorBrowsableState.Never)]
        private List<FormulaMetaType> formulaField;

        /// <summary>
        /// Initializes a new instance of the <see cref="Andmetatype"/> class. 
        /// </summary>
        public Andmetatype()
        {
            this.formulaField = new List<FormulaMetaType>();
        }

        /// <summary>
        /// Gets or sets a list of formula roles, each containing a FORMULA.
        /// </summary>
        [XmlElement("formula")]
        public List<FormulaMetaType> Formulae
        {
            get
            {
                return this.formulaField;
            }

            set
            {
                this.formulaField = value;
            }
        }
    }
}