﻿//-----------------------------------------------------------------------
// <copyright file="ContentFormulaType.cs" company="tuliprules.org">
//     Copyright (c) 2011 tuplelister, tuliprules.org.
// </copyright>
// <summary>This is the ContentFormulaType class.</summary>
//-----------------------------------------------------------------------
namespace Tulip.Rules.Models.Rif.Prd
{
    using System;
    using System.ComponentModel;
    using System.Xml.Serialization;

    /// <summary>
    /// Represents the content-FORMULA type.
    /// </summary>
    [Serializable]
    [DesignerCategory(@"code")]
    [XmlType(TypeName = "content-FORMULA.type", Namespace = "http://www.w3.org/2007/rif#")]
    public class ContentFormulaType : IRifPrdElement
    {
        /// <summary>
        /// The atom field.
        /// </summary>
        [EditorBrowsable(EditorBrowsableState.Never)]
        private Atom atomField;

        /// <summary>
        /// Gets or sets an atom formula, positional or with named arguments.
        /// </summary>
        [XmlElement(Order = 0)]
        public Atom Atom
        {
            get
            {
                return this.atomField;
            }

            set
            {
                this.atomField = value;
            }
        }
    }
}