﻿//-----------------------------------------------------------------------
// <copyright file="Declare.cs" company="tuliprules.org">
//     Copyright (c) 2011 tuplelister, tuliprules.org.
// </copyright>
// <summary>This is the Declare class.</summary>
//-----------------------------------------------------------------------
namespace Tulip.Rules.Models.Rif.Prd
{
    using System;
    using System.ComponentModel;
    using System.Xml.Serialization;

    /// <summary>
    /// Represents a declare role, containing a Var.
    /// </summary>
    [Serializable]
    [DesignerCategory(@"code")]
    [XmlType(AnonymousType = true, Namespace = "http://www.w3.org/2007/rif#")]
    [XmlRoot(Namespace = "http://www.w3.org/2007/rif#", IsNullable = false)]
    public class Declare : IRifPrdElement
    {
        /// <summary>
        /// The var field.
        /// </summary>
        [EditorBrowsable(EditorBrowsableState.Never)]
        private Var varField;

        /// <summary>
        /// Gets or sets a logic variable.
        /// </summary>
        [XmlElement(Order = 0)]
        public Var Var
        {
            get
            {
                return this.varField;
            }

            set
            {
                this.varField = value;
            }
        }
    }

}
