﻿//-----------------------------------------------------------------------
// <copyright file="Directive.cs" company="tuliprules.org">
//     Copyright (c) 2011 tuplelister, tuliprules.org.
// </copyright>
// <summary>This is the Directive class.</summary>
//-----------------------------------------------------------------------
namespace Tulip.Rules.Models.Rif.Prd
{
    using System;
    using System.ComponentModel;
    using System.Xml.Serialization;

    /// <summary>
    /// Represents a directive role, containing Import.
    /// </summary>
    [Serializable]
    [DesignerCategory(@"code")]
    [XmlType(AnonymousType = true, Namespace = "http://www.w3.org/2007/rif#")]
    [XmlRoot(Namespace = "http://www.w3.org/2007/rif#", IsNullable = false)]
    public class Directive : IRifPrdElement
    {
        /// <summary>
        /// The import field.
        /// </summary>
        [EditorBrowsable(EditorBrowsableState.Never)]
        private Import importField;

        /// <summary>
        /// Gets or sets an importation, containing location and optional profile.
        /// </summary>
        [XmlElement(Order = 0)]
        public Import Import
        {
            get
            {
                return this.importField;
            }

            set
            {
                this.importField = value;
            }
        }
    }
}
