﻿//-----------------------------------------------------------------------
// <copyright file="Equal.cs" company="tuliprules.org">
//     Copyright (c) 2011 tuplelister, tuliprules.org.
// </copyright>
// <summary>This is the Equal class.</summary>
//-----------------------------------------------------------------------
namespace Tulip.Rules.Models.Rif.Prd
{
    using System;
    using System.ComponentModel;
    using System.Xml.Serialization;

    /// <summary>
    /// Represents a prefix version of term equation '='.
    /// </summary>
    [Serializable]
    [DesignerCategory(@"code")]
    [XmlType(AnonymousType = true, Namespace = "http://www.w3.org/2007/rif#")]
    [XmlRoot(Namespace = "http://www.w3.org/2007/rif#", IsNullable = false)]
    public class Equal : Irimeta, IRifPrdElement
    {
        /// <summary>
        /// The left field.
        /// </summary>
        [EditorBrowsable(EditorBrowsableState.Never)]
        private Left leftField;

        /// <summary>
        /// The right field.
        /// </summary>
        [EditorBrowsable(EditorBrowsableState.Never)]
        private Right rightField;

        /// <summary>
        /// Gets or sets the equal left-hand side role.
        /// </summary>
        [XmlElement("left", Order = 0)]
        public Left Left
        {
            get
            {
                return this.leftField;
            }

            set
            {
                this.leftField = value;
            }
        }

        /// <summary>
        /// Gets or sets the equal right-hand side role.
        /// </summary>
        [XmlElement("right", Order = 1)]
        public Right Right
        {
            get
            {
                return this.rightField;
            }

            set
            {
                this.rightField = value;
            }
        }
    }
}
