﻿//-----------------------------------------------------------------------
// <copyright file="ExecuteTarget.cs" company="tuliprules.org">
//     Copyright (c) 2011 tuplelister, tuliprules.org.
// </copyright>
// <summary>This is the ExecuteTarget class.</summary>
//-----------------------------------------------------------------------
namespace Tulip.Rules.Models.Rif.Prd
{
    using System;
    using System.ComponentModel;
    using System.Xml.Serialization;

    /// <summary>
    /// Represents the target of a Execute action.
    /// </summary>
    [Serializable]
    [DesignerCategory(@"code")]
    [XmlType(AnonymousType = true, Namespace = "http://www.w3.org/2007/rif#")]
    [XmlRoot(Namespace = "http://www.w3.org/2007/rif#", IsNullable = false)]
    public class ExecuteTarget : IRifPrdElement
    {
        /// <summary>
        /// The atom field.
        /// </summary>
        [EditorBrowsable(EditorBrowsableState.Never)]
        private Atom atomField;

        /// <summary>
        /// Gets or sets an atom formula, positional or with named arguments. 
        /// </summary>
        [XmlElement(Order = 0)]
        public Atom Atom
        {
            get
            {
                return this.atomField;
            }

            set
            {
                this.atomField = value;
            }
        }
    }
}


