﻿//-----------------------------------------------------------------------
// <copyright file="ForallFormula.cs" company="tuliprules.org">
//     Copyright (c) 2011 tuplelister, tuliprules.org.
// </copyright>
// <summary>This is the ForallFormula class.</summary>
//-----------------------------------------------------------------------
namespace Tulip.Rules.Models.Rif.Prd
{
    using System;
    using System.ComponentModel;
    using System.Xml.Serialization;

    /// <summary>
    /// Represents a Forall formula.
    /// </summary>
    [Serializable]
    [DesignerCategory(@"code")]
    [XmlType(AnonymousType = true, Namespace = "http://www.w3.org/2007/rif#")]
    public class ForallFormula : IRifPrdElement
    {
        /// <summary>
        /// The item field.
        /// </summary>
        [EditorBrowsable(EditorBrowsableState.Never)]
        private object itemField;

        /// <summary>
        /// Gets or sets an atom formula, positional or with named arguments, a
        /// Frame formula or an implication, containing if and then roles. 
        /// </summary>
        [XmlElement("Forall", typeof(Forall), Order = 0)]
        [XmlElement("Implies", typeof(Implies), Order = 0)]
        [XmlElement("Do", typeof(Do), Order = 0)]
        [XmlElement("And", typeof(Andthentype), Order = 0)]
        [XmlElement("Atom", typeof(Atom), Order = 0)]
        [XmlElement("Frame", typeof(Frame), Order = 0)]
        public object Item
        {
            get
            {
                return this.itemField;
            }

            set
            {
                this.itemField = value;
            }
        }
    }
}