﻿//-----------------------------------------------------------------------
// <copyright file="FormulaMetaType.cs" company="tuliprules.org">
//     Copyright (c) 2011 tuplelister, tuliprules.org.
// </copyright>
// <summary>This is the FormulaMetaType class.</summary>
//-----------------------------------------------------------------------
namespace Tulip.Rules.Models.Rif.Prd
{
    using System;
    using System.ComponentModel;
    using System.Xml.Serialization;

    /// <summary>
    /// Represents the formula-meta type.
    /// </summary>
    [Serializable]
    [DesignerCategory(@"code")]
    [XmlType(TypeName = "formula-meta.type", Namespace = "http://www.w3.org/2007/rif#")]
    public class FormulaMetaType : IRifPrdElement
    {
        /// <summary>
        /// The frame field.
        /// </summary>
        [EditorBrowsable(EditorBrowsableState.Never)]
        private Frame frameField;

        /// <summary>
        /// Gets or sets a Frame formula.
        /// </summary>
        [XmlElement(Order = 0)]
        public Frame Frame
        {
            get
            {
                return this.frameField;
            }

            set
            {
                this.frameField = value;
            }
        }
    }
}