﻿//-----------------------------------------------------------------------
// <copyright file="INeg.cs" company="tuliprules.org">
//     Copyright (c) 2011 tuplelister, tuliprules.org.
// </copyright>
// <summary>This is the INeg class.</summary>
//-----------------------------------------------------------------------
namespace Tulip.Rules.Models.Rif.Prd
{
    using System;
    using System.ComponentModel;
    using System.Xml.Serialization;

    /// <summary>
    /// Represents a member formula.
    /// </summary>
    [Serializable]
    [DesignerCategory(@"code")]
    [XmlType(AnonymousType = true, Namespace = "http://www.w3.org/2007/rif#")]
    [XmlRoot(Namespace = "http://www.w3.org/2007/rif#", IsNullable = false)]
// ReSharper disable InconsistentNaming
    public class INeg : IRifPrdElement
// ReSharper restore InconsistentNaming
    {
        /// <summary>
        /// The instance field.
        /// </summary>
        [EditorBrowsable(EditorBrowsableState.Never)]
        private Formula formulaField;

        /// <summary>
        /// Gets or sets a member instance role.
        /// </summary>
        [XmlElement("formula", Order = 0)]
        public Formula Formula
        {
            get
            {
                return this.formulaField;
            }

            set
            {
                this.formulaField = value;
            }
        }
    }
}
