﻿//-----------------------------------------------------------------------
// <copyright file="If.cs" company="tuliprules.org">
//     Copyright (c) 2011 tuplelister, tuliprules.org.
// </copyright>
// <summary>This is the If class.</summary>
//-----------------------------------------------------------------------
namespace Tulip.Rules.Models.Rif.Prd
{
    using System;
    using System.ComponentModel;
    using System.Xml.Serialization;

    /// <summary>
    /// Represents and antecedent role, containing FORMULA.
    /// </summary>
    [Serializable]
    [DesignerCategory(@"code")]
    [XmlType(AnonymousType = true, Namespace = "http://www.w3.org/2007/rif#")]
    [XmlRoot(Namespace = "http://www.w3.org/2007/rif#", IsNullable = false)]
    public class If : IRifPrdElement
    {
        /// <summary>
        /// The item field.
        /// </summary>
        [EditorBrowsable(EditorBrowsableState.Never)]
        private object itemField;

        /// <summary>
        /// Represents a conjunction.
        /// </summary>
        [XmlElement("Atom", typeof(Atom), Order = 0)]
        [XmlElement("Frame", typeof(Frame), Order = 0)]
        [XmlElement("Member", typeof(Member), Order = 0)]
        [XmlElement("Equal", typeof(Equal), Order = 0)]
        [XmlElement("Subclass", typeof(Subclass), Order = 0)]
        [XmlElement("External", typeof(ExternalFormulaType), Order = 0)]
        [XmlElement("And", typeof(And), Order = 0)]
        [XmlElement("Or", typeof(Or), Order = 0)]
        [XmlElement("Exists", typeof(Exists), Order = 0)]
        [XmlElement("INeg", typeof(INeg), Order = 0)]
        public object Item
        {
            get
            {
                return this.itemField;
            }
            set
            {
                this.itemField = value;
            }
        }
    }
}
