﻿//-----------------------------------------------------------------------
// <copyright file="ModifyTarget.cs" company="tuliprules.org">
//     Copyright (c) 2011 tuplelister, tuliprules.org.
// </copyright>
// <summary>This is the ModifyTarget class.</summary>
//-----------------------------------------------------------------------
namespace Tulip.Rules.Models.Rif.Prd
{
    using System;
    using System.ComponentModel;
    using System.Xml.Serialization;

    /// <summary>
    /// Represents the target of a Modify action.
    /// </summary>
    [Serializable]
    [DesignerCategory(@"code")]
    [XmlType(AnonymousType = true, Namespace = "http://www.w3.org/2007/rif#")]
    [XmlRoot(Namespace = "http://www.w3.org/2007/rif#", IsNullable = false)]
    public class ModifyTarget : IRifPrdElement
    {
        /// <summary>
        /// The frame field.
        /// </summary>
        [EditorBrowsable(EditorBrowsableState.Never)]
        private Frame frameField;

        /// <summary>
        /// Gets or sets a frame formula. 
        /// </summary>
        [XmlElement(Order = 0)]
        public Frame Frame
        {
            get
            {
                return this.frameField;
            }

            set
            {
                this.frameField = value;
            }
        }
    }
}

