﻿//-----------------------------------------------------------------------
// <copyright file="Retract.cs" company="tuliprules.org">
//     Copyright (c) 2011 tuplelister, tuliprules.org.
// </copyright>
// <summary>This is the Retract class.</summary>
//-----------------------------------------------------------------------
namespace Tulip.Rules.Models.Rif.Prd
{
    using System;
    using System.ComponentModel;
    using System.Xml.Serialization;

    /// <summary>
    /// Represents an Retract ACTION.
    /// </summary>
    [Serializable]
    [DesignerCategory(@"code")]
    [XmlType(AnonymousType = true, Namespace = "http://www.w3.org/2007/rif#")]
    [XmlRoot(Namespace = "http://www.w3.org/2007/rif#", IsNullable = false)]
    public class Retract : IRifPrdElement
    {
        /// <summary>
        /// The target field.
        /// </summary>
        [EditorBrowsable(EditorBrowsableState.Never)]
        private RetractTarget targetField;

        /// <summary>
        /// Gets or sets the target of the action.
        /// </summary>
        [XmlElement("target", Order = 0)]
        public RetractTarget Target
        {
            get
            {
                return this.targetField;
            }

            set
            {
                this.targetField = value;
            }
        }
    }
}

