﻿//-----------------------------------------------------------------------
// <copyright file="Subclass.cs" company="tuliprules.org">
//     Copyright (c) 2011 tuplelister, tuliprules.org.
// </copyright>
// <summary>This is the Subclass class.</summary>
//-----------------------------------------------------------------------
namespace Tulip.Rules.Models.Rif.Prd
{
    using System;
    using System.ComponentModel;
    using System.Xml.Serialization;

    /// <summary>
    /// Represents a member formula.
    /// </summary>
    [Serializable]
    [DesignerCategory(@"code")]
    [XmlType(AnonymousType = true, Namespace = "http://www.w3.org/2007/rif#")]
    [XmlRoot(Namespace = "http://www.w3.org/2007/rif#", IsNullable = false)]
    public class Subclass : IRifPrdElement
    {
        /// <summary>
        /// The instance field.
        /// </summary>
        [EditorBrowsable(EditorBrowsableState.Never)]
        private Sub subField;

        /// <summary>
        /// The class field.
        /// </summary>
        [EditorBrowsable(EditorBrowsableState.Never)]
        private Super superField;

        /// <summary>
        /// Gets or sets a subclass role.
        /// </summary>
        [XmlElement("sub", Order = 0)]
        public Sub Sub
        {
            get
            {
                return this.subField;
            }

            set
            {
                this.subField = value;
            }
        }

        /// <summary>
        /// Gets or sets a superclass role.
        /// </summary>
        [XmlElement("super", Order = 1)]
        public Super Super
        {
            get
            {
                return this.superField;
            }

            set
            {
                this.superField = value;
            }
        }
    }
}
