﻿//-----------------------------------------------------------------------
// <copyright file="ThenPart.cs" company="tuliprules.org">
//     Copyright (c) 2011 tuplelister, tuliprules.org.
// </copyright>
// <summary>This is the ThenPart class.</summary>
//-----------------------------------------------------------------------
namespace Tulip.Rules.Models.Rif.Prd
{
    using System;
    using System.ComponentModel;
    using System.Xml.Serialization;

    /// <summary>
    /// Represents an implication, containing if and then roles.
    /// </summary>
    [Serializable]
    [DesignerCategory(@"code")]
    [XmlType(AnonymousType = true, Namespace = "http://www.w3.org/2007/rif#")]
    [XmlRoot(Namespace = "http://www.w3.org/2007/rif#", IsNullable = false)]
    public class ThenPart : IRifPrdElement
    {
        /// <summary>
        /// The actionBlockField field.
        /// </summary>
        [EditorBrowsable(EditorBrowsableState.Never)]
        private object actionBlockField;

        /// <summary>
        /// Gets or sets an action.
        /// </summary>
        [XmlElement("Do", typeof(Do), Order = 0)]
        [XmlElement("And", typeof(Andthentype), Order = 0)]
        [XmlElement("Atom", typeof(Atom), Order = 0)]
        [XmlElement("Frame", typeof(Frame), Order = 0)]
        public object ActionBlockField
        {
            get
            {
                return this.actionBlockField;
            }

            set
            {
                this.actionBlockField = value;
            }
        }
    }
}