﻿//-----------------------------------------------------------------------
// <copyright file="RuleSetFilter.cs" company="tuliprules.org">
//     Copyright (c) 2010 tuplelister, tuliprules.org.
// </copyright>
// <summary>This is the RuleSetFilter enumeration.</summary>
//-----------------------------------------------------------------------

namespace Tulip.Rules
{
    /// <summary>
    /// Filter values for use when retrieving rule sets form a provider store.
    /// </summary>
    public enum RuleSetFilter
    {
        /// <summary>
        /// Do not filter rule sets.
        /// </summary>
        All,

        /// <summary>
        /// Filter rule sets to return only those which are published.
        /// </summary>
        Published,

        /// <summary>
        /// Filter rule sets to return only the most recent versions.
        /// </summary>
        Latest,

        /// <summary>
        /// Filter rule sets to return only the most recent published versions.
        /// </summary>
        LatestPublished
    }
}
