﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Tulip.Rules.CodeGen;
using Tulip.Engine;
using Microsoft.Practices.Unity;

namespace Tulip.Rules.Tests
{
    [TestClass]
    public class TestGenerator
    {
        [TestMethod]
        public void ExecuteManners()
        {
            var factory = new ExecutorFactory();

            //TODO: executor returns null.           
            var executor = factory.GetExecutor(null);  //  Currently loading model internally.
            
            executor.Execute(null);

        }

        /// <summary>
        /// Test to ensure that the unity framework can create an executor instance
        /// </summary>
        [TestMethod]
        public void CreateExecutor()
        { 
            IUnityContainer unityContainer = new UnityContainer();
            IExecutor executor = unityContainer.Resolve<IExecutor>();
            Assert.IsNotNull(executor);
        }
    }//class
}//ns
