﻿//-----------------------------------------------------------------------
// <copyright file="Payload.cs" company="tuliprules.org">
//     Copyright (c) 2011 tuplelister, tuliprules.org.
// </copyright>
// <summary>This is the Payload class.</summary>
//-----------------------------------------------------------------------
namespace Tulip.Rules.Models.Rif.Core
{
    using System;
    using System.ComponentModel;
    using System.Xml.Serialization;

    /// <summary>
    /// Represents a payload role, containing Group.
    /// </summary>
    [Serializable]
    [DesignerCategory(@"code")]
    [XmlType(AnonymousType = true, Namespace = "http://www.w3.org/2007/rif#")]
    [XmlRoot(Namespace = "http://www.w3.org/2007/rif#", IsNullable = false)]
    public class Payload : IRifCoreElement
    {
        /// <summary>
        /// The group field.
        /// </summary>
        [EditorBrowsable(EditorBrowsableState.Never)]
        private Group groupField;

        /// <summary>
        /// Gets or sets a nested collection of sentences.
        /// </summary>
        [XmlElement(Order = 0)]
        public Group Group
        {
            get
            {
                return this.groupField;
            }

            set
            {
                this.groupField = value;
            }
        }
    }
}
